import { introspectionFromSchema } from 'graphql';
import { extname } from 'path';
export const plugin = async (schema) => {
    const introspection = introspectionFromSchema(schema, { descriptions: true });
    return JSON.stringify(introspection);
};
export const validate = async (schema, documents, config, outputFile) => {
    if (extname(outputFile) !== '.json') {
        throw new Error(`Plugin "introspection" requires extension to be ".json"!`);
    }
};
//# sourceMappingURL=index.js.map